Kimara API Docs
Assets

Upload an input asset

Upload an image, video, or audio file to use as input for a run. Returns an asset_id that can be passed as the value for IMAGE, VIDEO, or AUDIO input keys when calling POST /apps/{appVersionId} or POST /runs.

POST
/assets

Authorization

AuthorizationBearer <token>

Pass your API key as a Bearer token: Authorization: Bearer kim_<prefix>_<secret>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://kimara.ai/api/v1/assets" \  -F file="string"
{
  "asset_id": "550e8400-e29b-41d4-a716-446655440000",
  "filename": "my-photo.png"
}
{
  "error": "No file uploaded"
}

{
  "error": "Missing API key"
}

{
  "success": false,
  "error": "Upload failed"
}